MP4(3)

NAME

MP4DeleteTrackEdit - Delete a track edit segment

SYNTAX

#include <mp4.h>

bool MP4DeleteTrackEdit(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment to be deleted.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4DeleteTrackEdit deletes the specified track edit segment. Note that since editId's form a sequence, deleting an editId will cause all edit segments with editId's greater than the deleted one to be reassigned to their editId minus one.

Deleting an edit segment does not delete any media samples.

SEE ALSO

MP4(3) MP4AddTrackEdit(3)